$(function() {

    var $settings = CurrentGameSettings;
    var $data = {
        messages: null
    };

    var $selectors = {
        body: 'body',
        wallpapers: '.wallpaper'
    };
    var $cssClasses = {
        wallpaperActive: 'wallpaper-active'
    };
    var $elements = {
        body: $($selectors.body),
        wallpapers: $($selectors.wallpapers)
    };
    var $templates = {};
    $('script[type="text/template"]').each(function() { $templates[this.id] = $(this).html(); })

    var $methods = {
        translateMessages: function() {
            $('[data-i18n]').each(function() {
                $(this).html($(this).attr('data-'+$settings.language));
            });
        },
        setupBackground: function() {
            $elements.body.attr('data-texture', $settings.background);
        },
        markActiveBackground: function() {
            $elements.wallpapers.filter('[data-wallpaper=' + $settings.background + ']').addClass($cssClasses.wallpaperActive);
        }
    };
    var $events = {
        revealSettingsScreen: function() {
            $methods.translateMessages();
            $methods.setupBackground();
            $methods.markActiveBackground();
        },
        wallpaperChanged: function(wallpaper) {
            var wallpaperValue = wallpaper.attr('data-wallpaper');
            if ($settings.background === wallpaperValue) return;

            $elements.wallpapers.removeClass($cssClasses.wallpaperActive);
            wallpaper.addClass($cssClasses.wallpaperActive);
            $settings.background = wallpaperValue;
            $elements.body.attr('data-texture', $settings.background);

            saveSettings($settings);
        }
    };

    $events.revealSettingsScreen();

    $elements.wallpapers.on('touchstart', function() {
        $events.wallpaperChanged($(this));
    });

    document.addEventListener("backbutton", function() {
        window.location = 'index.html'
    }, false)    
});
