$(function() {

    var $settings = CurrentGameSettings;
    var $stats = CurrentGameStats.tiszavirag;
    var $data = {
        messages: null
    };

    var $selectors = {
        body: 'body',
        values: '.value'
    };
    var $cssClasses = {
    };
    var $elements = {
        body: $($selectors.body),
        values: $($selectors.values),
    };
    var $templates = {};
    $('script[type="text/template"]').each(function() { $templates[this.id] = $(this).html(); })

    var $methods = {
        translateMessages: function() {
            $('[data-i18n]').each(function() {
                $(this).html($(this).attr('data-'+$settings.language));
            });
        },
        setupBackground: function() {
            $elements.body.attr('data-texture', $settings.background);
        },
        pad: function(str) {
            var strC = str + '';
            var padString = '00';
            return padString.substring(0, padString.length - strC.length) + strC;
        },        
        formatTime: function(value, beExact) {
            var timeDifference = value;
            var timePrintObject = {
                days: null,
                hours: null,
                minutes: null,
                seconds: null,
                milliseconds: null
            };
            timePrintObject.days = $methods.pad(Math.floor(timeDifference / 86400000));
            timeDifference -= timePrintObject.days * 86400000;
            timePrintObject.hours = $methods.pad(Math.floor(timeDifference / 3600000));
            timeDifference -= timePrintObject.hours * 3600000;
            timePrintObject.minutes = $methods.pad(Math.floor(timeDifference / 60000));
            timeDifference -= timePrintObject.minutes * 60000;
            timePrintObject.seconds = $methods.pad(Math.floor(timeDifference / 1000));
            timeDifference -= timePrintObject.seconds * 1000;
            if (beExact) { timePrintObject.milliseconds = timeDifference; }

            return Mustache.render($templates['time'], timePrintObject);
        },
        displayStats: function() {
            $elements.values.each(function() {
                var valueType = $(this).attr('data-type');
                var key = $(this).attr('data-key');

                if (valueType === 'number' || valueType === 'percent') {
                    $(this).html($stats[key]);
                }
                if (valueType === 'time') {
                    $(this).html($methods.formatTime($stats[key], false));
                }
                if (valueType === 'exactTime') {
                    $(this).html($methods.formatTime($stats[key], true));
                }
            });
        }
    };
    var $events = {
        revealScreen: function() {
            $methods.translateMessages();
            $methods.setupBackground();
            $methods.displayStats();
        }
    };

    $events.revealScreen();

    document.addEventListener("backbutton", function() {
        window.location = 'index.html'
    }, false)    

});
